<?php

namespace Bydedi\Shipping\Ups\Service\Locator\Params;

/**
 * Class TransactionReference
 */
class TransactionReference extends AbstractParam
{
    /**
     * @var string
     */
    protected $CustomerContext;


    /**
     * TransactionReference constructor.
     *
     * @param $CustomerContext
     */
    public function __construct($CustomerContext)
    {
        $this->CustomerContext = $CustomerContext;
    }


    /**
     * @return array
     */
    protected function toArray()
    {
        return [
            'CustomerContext' => $this->CustomerContext,
        ];
    }
}
