<?php

namespace Bydedi\Shipping\Ups\Service\Locator\Params;

/**
 * Class UnitOfMeasurement
 */
class UnitOfMeasurement extends AbstractParam
{
    /**
     * @var string
     */
    protected $Code;


    /**
     * UnitOfMeasurement constructor.
     *
     * @param $Code
     */
    public function __construct($Code)
    {
        $this->Code = $Code;
    }


    /**
     * @return array
     */
    protected function toArray()
    {
        return [
            'Code' => $this->Code,
        ];
    }
}
