<?php

namespace Bydedi\Shipping\Ups\Service\Locator\Params;

/**
 * Class AccessPointSearch
 */
class AccessPointSearch extends AbstractParam
{

    protected $AccessPointStatus = '01';

    protected $PublicAccessPointID;

    protected $AccountNumber;


    /**
     * AccessPointSearch constructor.
     *
     * @param $PublicAccessPointID
     * @param $AccountNumber
     * @param string              $AccessPointStatus
     */
    public function __construct($PublicAccessPointID, $AccountNumber = '', $AccessPointStatus = '01')
    {
        $this->AccessPointStatus   = $AccessPointStatus;
        $this->PublicAccessPointID = $PublicAccessPointID;
        $this->AccountNumber       = $AccountNumber;
    }

    /**
     * {@inheritdoc}
     */
    protected function toArray()
    {
        return [
            'AccessPointStatus'   => $this->AccessPointStatus,
            'PublicAccessPointID' => $this->PublicAccessPointID,
            'AccountNumber'       => $this->AccountNumber,
        ];
    }
}
