<?php

namespace Bydedi\Shipping\Ups\Service\Locator\Params;

/**
 * Class Option
 */
class Option extends AbstractParam
{

    /**
     * @var OptionType
     */
    protected $OptionType;

    /**
     * @var OptionCode
     */
    protected $OptionCode;


    /**
     * Option constructor.
     *
     * @param OptionType $OptionType
     * @param OptionCode $OptionCode
     */
    public function __construct(OptionType $OptionType, OptionCode $OptionCode)
    {
        $this->OptionType = $OptionType;
        $this->OptionCode = $OptionCode;
    }

    /**
     * {@inheritdoc}
     */
    protected function toArray()
    {
        return [
            'OptionType' => $this->OptionType,
            'OptionCode' => $this->OptionCode,
        ];
    }
}
