<?php

namespace Bydedi\Shipping\Ups\Service\Locator\Params;

/**
 * Class OptionCode
 */
class OptionCode extends AbstractParam
{
    /**
     * @var string
     */
    protected $Code;


    /**
     * OptionCode constructor.
     *
     * @param $Code
     */
    public function __construct($Code)
    {
        $this->Code = $Code;
    }

    /**
     * {@inheritdoc}
     */
    protected function toArray()
    {
        return [
            'Code' => $this->Code,
        ];
    }
}
