<?php

namespace Bydedi\Shipping\Ups\Service\Locator;

use Bydedi\Shipping\Relay;
use Bydedi\Shipping\Ups\Service\Locator\Params\AccessRequest;
use Bydedi\Shipping\Ups\Service\Locator\Params\LocatorRequest;

interface RelayFetcherInterface
{


    /**
     * @param  LocatorRequest $param
     * @param  AccessRequest  $accessRequest
     * @return Relay[]
     */
    public function fetchRelays(LocatorRequest $param, AccessRequest $accessRequest);
}
